#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "huffman.h"

int main(int argc, char *argv[])
{

    struct compressed_stream in = uncompress_stream((argc > 1) ? fopen(argv[1], "r") : stdin);
    FILE *out = stdout;// (argc > 1) ? fopen(argv[1], "w") : stdout;
    exit_if(out == NULL, "fopen out");
    int byte;
    while ((byte = decompress_byte(&in)) != EOF) {
        fprintf(out, "%c", byte);
    }
    print_tree_to_dot(stderr, in.root);
    close_compressed(&in);
    return 0;
}
